unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm3 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    L1: TLabel;
    L2: TLabel;
    L3: TLabel;
    L4: TLabel;
    L5: TLabel;
    L6: TLabel;
    Timer1: TTimer;
    Label7: TLabel;
    Label8: TLabel;
    Memo1: TMemo;
    PaintBox1: TPaintBox;
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

uses Unit1, BassVideo;

{$R *.dfm}
var getz :BOOL = FALSE;

procedure TForm3.Timer1Timer(Sender: TObject);
var info : TBassVideoInfo;
    info2 : TBassVideoFrameInfo;
begin
 if chan = 0 then exit;
 if BassVideo_GetFrameInfo(chan, info2) then
  with Info2 do
  begin
    L2.Caption := inttostr(AvgFrameRate);
    L3.Caption := inttostr(FrameDraw);
    L4.Caption := inttostr(FrameDrop);
  end;
 if getz = FALSE then
 if BassVideo_GetInfo(chan, info) then
 with Info do
  begin
    getz := TRUE;
    L1.Caption := FloatToStr(AvgTimePerFrame);
    if FormatType = 0 then
     L5.Caption := 'Format Video Info'
    else
     L5.Caption := 'Format Video Info 2';
//      VideoFormat : integer;
   L6.Caption := inttostr(info.VideoFormat);
   if info.VideoFormat_GUID <> nil then
    Label8.Caption := SysUtils.GUIDToString(info.VideoFormat_GUID^);
  end;
end;

procedure TForm3.FormCreate(Sender: TObject);
begin
 Left := Screen.Width - Width;
 Top := Screen.Height - Height;
end;

end.

